/* supprim les scroll bars dans le portail
html{
    overflow: visible;
}*/

body{
font-family: sans-serif; 
font-size: 13px !important;
background-color: white;
}

/***** Rédéfinition des styles Primfaces *****/
.ui-layout-unit-header {
    padding: 0.1em 0.2em 0.1em 0.1em;
}

.layoutNoOverflow  .ui-layout-unit-content {
    overflow: hidden;
}

.layoutunitNoBorder {
    border: 0;
}

.ui-editor .ui-widget-content {
    background-color: white;
}

.ui-fieldsetForm {
    width: 800px;
    margin-bottom: 20px;
    font-family: Arial, sans-serif;
    font-size: 0.9em;
}

.ui-widget {
    /* font-size: 0.8em; */
    font-size: 13px;
    font-family: sans-serif;
}

/* Limite la taille du div au contenu du message d'erreur' */
.ui-message-info,.ui-message-warn,.ui-message-error,.ui-message-fatal {
    display: inline-block;
}

/* display datatable rows with alternating color */
.ui-datatable-odd {
    background: none repeat scroll 0 0 #F2F5F9;
}

/***** définition des styles GAIA *****/
.formulaireGrid {
    vertical-align: top;
}

#titreFormulaireEcrireDemande {
    font-family: Droid Sans,sans-serif;
    font: bold;
    font-size: 18px;
    color: #191919;
    padding-bottom: 10px;
}

.ui-datascrollerPj {
    display: inline-block;
}

.ui-datascrollerPj .ui-widget-content {
    border: 0px;
    background: transparent;
    padding: 0px 00px;
    display: inline-block;
}

.cartoucheUsgInfos {
    color: #191919;
}

.ui-panelgrid .ui-panelgrid-cell
.noBorderGrid .ui-widget-content tr,.noBorderGrid .ui-widget-content td
    {
    border: 0 none !important /* JJ TODO */
}

.noBorderGrid tr,.noBorderGrid td {
    border-style: none !important;
    border: 0 none !important
}

.formGenricContent {
    
}

.listeDemandeHeaderDmdWithUnreadMsg {
    font-weight: bold !important;
}

.listeDemandeHeaderDmdWithOutUnreadMsg {
    font-weight: normal !important;
}


 .ui-widget-content .detailMessageListeDemandeLeft {
    border: 0;
    padding: 0em;
    width: 92%;
    float: left;
    border-radius:25px 25px 25px 0px;
    margin-top: 10px;
    margin-bottom: 10px;
    box-shadow: 6px 6px 10px black;
    
    
 }
.ui-widget-content .detailMessageListeDemandeRight {
    border: 0;
    padding: 0em;
    width: 92%;
    float: right;
    border-radius:25px 25px 0px 25px;
    margin-top: 10px;
    margin-bottom: 10px;   
    box-shadow: 6px 6px 10px black;
} 

.detailMessageListeDemande  .ui-panel-content {
    border: 0;
    background: none;
    padding: 0em;
}
.detailMessageListeDemandeLeft  .ui-panel-content {
  border-radius:0px 0px 25px 0px;

}
.detailMessageListeDemandeRight  .ui-panel-content {
    border-radius:0px 0px 0px 25px;

}

.detailMessageListeDemande .ui-panel-title {
    margin: 0.1em 0em 0.2em;
}

.detailMessageListeDemande .ui-widget-header {
    border: 0;
    /* background: none; */
    /*   color: #050505; */
    /*   padding-bottom: 20px;*/
    text-decoration: none;
    border-radius:25px 25px 0px 0px;
    
}

.detailMessageListeDemande .ui-dialog .ui-dialog-titlebar{
        border-radius:0px 0px 0px 0px;
}

.detailMessageListeDemandeRight .ui-widget-header {
     background: #fff5cf;

    
}
.detailMessageListeDemandeLeft .ui-widget-header {
     background: #dbd6d0;
    
}



.saisieMessageArea  .ui-panel-content {
    border: 0;
    background: none;
    padding: 0em;
}
.saisieMessageArea .ui-panel-title {
    margin: 0.1em 0em 0.2em;
}
.saisieMessageArea .ui-widget-header {
    border: 0;
    text-decoration: none;
    
}

.ui-widget-header {
    text-decoration: none;  
}
.etapePanel {
    background: none;
    padding-bottom: 10px;
}

.etapeOff {
    color: black;
    background: #E4E4E4;
    display: inline-block;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px black solid;
}

.etapeOn {
    color: white;
    background: #797979;
    display: inline-block;
    padding: 2px;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px black solid;
}

.titrePage {
    margin-bottom: 10px;
    /* font-size: 22px; */
    font-size: 19px;
    font-weight: bold;
    margin-top: 1px;
    /* text-decoration: underline; */
    text-decoration: none;
    font-size: 1em !important;
}
/* .titrePage hr
{
    margin:0px;
    
} */
.titreFormulaireEcrireDemande {
    font-size: 22px;
    font-weight: bold;
    margin-top: 10px;
    /* text-decoration: underline; */
    text-decoration: none;
}

.sepearateurFormulaireEcrireDemande {
    
}

.libelleTitreSectionFormulaire {
    margin-top: 10px;
    margin-bottom: 10px;
}

.libelleTitreSectionFormulaire hr {
    margin-top: 0px;
}

.puceLibelleTitreSectionFormulaire {
    vertical-align: text-bottom;
    display: inline-block;
}

.blocBoutonsFormulaire {
    margin-top: 10px;
}

.consultationCorpsFormulaire {
    border: 1px black solid;
    margin-top: 5px;
    padding: 0.5em;
}

table.signatureAgent {
    width: auto;
    border-width: 0px;
}

table.signatureAgent th {
    border-width: 0px;
}

table.signatureAgent td {
    border-width: 0px;
}

span.texteSouligne {
    border-bottom-style: solid;
    border-bottom-color: black;
    border-bottom-width: 1px
}
/* taille des sous menus */
.ui-menu .demandeMenu .ui-menu-child {
    width: 400px;
}

.pjUploadFormulaire .ui-fileupload-buttonbar {
    background: transparent none;
    border: none;
}

.pjUploadFormulaire .ui-fileupload-content {
    display: block;
    background: none repeat scroll 0 0 transparent;
    border: medium none;
}

.ui-message-info,.ui-message-error,.ui-message-warn,.ui-message-fatal {
    margin: 0 0px;
    padding: 2px 15px;
}

.ui-editor {
    background: none;
}

.labelAdrImpositionPro {
    width: 19%;
}

.ui-grid-col-2 .labelAdrImpositionPart {
    width: 34.667%;
}

.souligner {
    text-decoration: underline;
}

/* Necessaire a l'ajustement de la table en cas de suppression de collone via le toggler'
 */
/* 
.listeDemarcheTable table {
    table-layout: inherit;
}*/

.listeDemarcheTable .ui-datatable-tablewrapper {
    overflow: inherit;
} 


/*
 Applique le style à toutes les lignes de  liste de demandes, à l'exception du expanded row content
 */
.listeDemarcheTable tbody td[role=gridcell] {
    text-align: center;
    border-style: none;
    border-width: 0px;
    word-wrap: break-word;
}

.listeDemarcheTable tbody tr[role=row] {
    border-style: none;
    border-width: 0px;
    height: 3em;
    
}

.listeDemarcheTable thead  th[role=columnheader] {
    border-style: none;
    border-width: 0px
}

.ui-selectonemenu {
    vertical-align: middle;
    min-width: 100px;
}

.menu {
    margin-bottom: 10px
}

.infosBlocUsager {
    margin-bottom: 10px
}

.noborderTable thead th,.noborderTable tbody td,.noborderTable tfoot td,.noborderTable tfoot th
{
	border-style: none;
	border: 0px;
}


.formulaireVerbaimPre {
    /* display: inline-block; */
    margin: auto;
    font-family: inherit;
    white-space: pre-wrap; /* CSS 3 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word;
}

/*** pour tous les outputlabel -> alignement à droite (coller au champ de saisi) ***/
.ui-outputlabel {
    /*float: right;*/
    display: inline-block;  /* text-align: right; */
}

.floatGauche {
    float: none;
}

/*** bandeau zu **/

.textColorZUPart{
    color: #0b6ba8;
    font-weight: bold;
    font-family: sans-serif;
    font-size: 22px !important;
}

.textColorZUPro{
    color: #a63950;
    font-weight: bold;
    font-family: sans-serif;
    font-size: 22px !important;
}

.textColorZUbis{
    color: #272729;
    font-weight: bold;
    font-family: sans-serif;
    font-size: 22px !important;
}

#textBandeau{
    text-align: center;
}

.col-left {
    float: left;
    width: 700px;
}

#usgLink {
    float: right;
}

#logo {
    margin-top: 25px;
    /* margin: 35px 0 0 194px; */
}



#logo a {
    background: transparent no-repeat scroll left top;
    display: block;
    font-size: 0;
    height: 90px;
    text-decoration: none;
    width: 360px;
}

.links-locations {
    float: left;
    padding: 9px 0 0 15px;
    width: 120px;
    margin-right: 74px;
}

.links-locations .ministere {
    background: #fff no-repeat scroll center center;
    border-top: 0 none;
    height: 50px;
    float: left;
    margin-right: 74px;
}

.links-locations .sp {
    background: #fff no-repeat scroll center top;
    height: 70px;
    margin-right: 74px;
}

.links-locations a {
    border: 1px solid #ebebeb;
    display: block;
    width: 112px;
}

img {
    border-style: none;
}


.ui-messages-error-icon 
{
 	background: url("/gaia2-zu-mapi/javax.faces.resource/images/exclamation.png.xhtml") no-repeat !important;
}
.ui-autocomplete .ui-autocomplete-dropdown {
    height: 100%;
    position: relative;
    width: 2.4em;
}
.etoileChpOblig:before {
    color: red;
    content: " *";
}

.ui-outputlabel-rfi {
    color: red;
}

.ui-growl-message{
	white-space: pre-wrap;
}

.fermetureBtn 
{
 	background: url("/gaia2-zu-mapi/javax.faces.resource/images/fermeture.png.xhtml") no-repeat !important;
}


 /* styles for chrome and safari */
::-webkit-input-placeholder {
      color: #808080 !important;
      font-weight: normal !important;
      font-style: italic !important;
      
   }
/* styles for firefox */
:-moz-placeholder {
      color: #808080 !important;
      font-weight: normal !important;
      font-style: italic !important;
      
}
/* styles for internet explorer */
.ui-watermark {
  color: #808080 !important;
  font-weight: normal !important;
  font-style: italic !important;
         
   }
 

.ui-selectmanycheckbox .ui-chkbox {
    display: inline-block;
    margin-left: 20px;
}

.noCellBorder td {
    border-color: inherit !important;
    border-style: none !important;
    border-width: 100% !important;
    padding: 4px 10px !important;
}

.infoNewToolTip{
    box-shadow: 5px 5px 5px 5px;
    font-size: 1em;
}

.gradienthr {
    background-image: linear-gradient(90deg, black, transparent);
    border: 0;
    height: 1px;
    width: 20%;
    position: absolute;
    margin: 2px;
}

/* Logos ministère */
@media all and (max-width: 500px) {
    #logoMinistere{display: none}
    #logo{display: none}
    #logoMinistereMobile{display: block}
}

@media all and (min-width: 500px) {
    #logoMinistere{display: block}
    #logoMinistereMobile{display: none}
}

/*supprime les marge des <p> dans les restitution des verbatims du formaulire*/
.formulaireVerbaimPre p {
    margin: 0;
}
.ui-growl-item-container {
     opacity: .95;
}

 div[id$='ecrireCptaSursisID'].ui-panelgrid-content.ui-widget-content.ui-grid.ui-grid-responsive 
 div[id$='ecrireCptaEmpID'].ui-panelgrid-content.ui-widget-content.ui-grid.ui-grid-responsive{
    background: #FFFFFF !important;
    border: none !important;
 }
 
 
.toolTipBtnImg {
   border-radius: 0px;
   background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/question.png.xhtml") !important;
   width: 26px;
   height: 26px;
}


 fieldset.form-group legend.libelleTitreSectionFormulaire{
    padding: 0px;
    margin: 0;
    width: 100%;
}
 
 fieldset.form-group{
    padding: 0;
    margin-top: 10px;
    border:none;
    width: 100%;
}

fieldset.form-group legend.float-left {
    display: inline-block;
    vertical-align: middle;
}

.info-bandeau{
  background: #29536F;
  margin-bottom: 20px;
} 

.info-bandeau .ui-g-8, .info-bandeau .ui-g-2 {
    padding: 0.2em;
}

.info-bandeau .pull-right{
    float:right;
    text-align:right;
}

.info-bandeau .ibl-logo, .info-bandeau .ibl-title{
    display: inline-block;
      position: relative;
}

.info-bandeau .ibl-logo{
    top:4px;
}

.info-bandeau .ibl-title{
    color: #FFF;
    font-weight: bold;
    text-decoration:none;
    vertical-align: middle;
    margin-left: 10px;
}

.info-bandeau-profil .ibp-label, .info-bandeau-profil .ibp-selectMenu {
    display: inline-block !important;
    vertical-align: middle;
}

.info-bandeau-profil .ibp-label{
    color:#FFF;
    margin-right: 10px;
}

.info-bandeau-gadgets .ibg-item{
    display: inline-block;
    vertical-align: middle;
    margin-top: 2px;
}

.info-bandeau-gadgets .ibg-item button{
      border:none;
}

.btnImage{
    width: 25px;
    height: 25px;
    border: none;
    padding: 0;
    margin: 0;
    position: relative;
    cursor:pointer; 
}

.btnImage .ui-button-text{
     display: none;
}

.btnImage.ui-state-focus, .btnImage.ui-state-hover{
    background:#0a6ca7 !important;
}

.btnImage.ui-state-focus:before, 
.btnImage.ui-state-hover:before{
     content:"";
     width: 25px;
     height:25px;
     top:0;
     left: 0;
     position: absolute;
     z-index:5; 
}

.btnImage.police-moins, 
.btnImage.ui-state-focus.police-moins:before,
.btnImage.ui-state-hover.police-moins:before{
     background: url("/gaia2-zu-mapi/javax.faces.resource/images/police_moins.png.xhtml") no-repeat 5px;
}


.btnImage.police-plus, 
.btnImage.ui-state-focus.police-plus:before, 
.btnImage.ui-state-hover.police-plus:before
{
    background: url("/gaia2-zu-mapi/javax.faces.resource/images/police_plus.png.xhtml") no-repeat 5px;
}

.btnImage.stats, 
.btnImage.ui-state-focus.stats:before,
.btnImage.ui-state-hover.stats:before{
    background: url("/gaia2-zu-mapi/javax.faces.resource/images/stats.png.xhtml") no-repeat 5px;
}

.btnImage.question, 
.btnImage.ui-state-focus.question:before,
.btnImage.ui-state-hover.question:before{
    background: url("/gaia2-zu-mapi/javax.faces.resource/images/question.png.xhtml") no-repeat 5px;
}

.btnImage.fermeture, 
.btnImage.ui-state-focus.fermeture:before,
.btnImage.ui-state-hover.fermeture:before{
    background: url("/gaia2-zu-mapi/javax.faces.resource/images/fermeture.png.xhtml") no-repeat 5px;
}


/*
* accordion focus
*/

.ui-accordion-header.ui-tabs-outline{
    background: #0a6ca7 !important;
    color:#FFFFFF;
}

/*
* link focus
*/

.logo-link{
    padding: 10px;
    top: 1px;
    position: relative;
}

.link:focus{
    background: #0a6ca7;                                                
}

.titreFormulaireEcrireDemande h2{
    font-size: 1.063em;
}


.el-hidden{
    display: none;
}

/**
* Tooltip Capture
*/

.tooltipCapture{
    margin-bottom: 20px;
    margin-top: 5px;
    background: #FFFFFF;
    display: inline-block;
    padding: 5px;
}

.tc-uppercase{
    text-transform: uppercase;
}

.tc-bold{
    font-weight: bold;
}

.tooltipCapture .lv3{
    font-size: 13px;
}

.tooltipCapture .lv4{
    font-size: 12px;
}

 .tooltipCapture .lv2, .tooltipCapture .lv1{
    font-size: 14px;
}

 .tooltipCapture .text {
    margin-bottom: 2px;
 }
 
 .menuButton.right .ui-button-text-icon-left .ui-button-text{
    padding: .3em 2.1em .3em 1em;
}


.menuButton.right  .ui-button-icon-left {
    right: .5em !important;
    left: inherit;
}
 
.hideRfi .ui-outputlabel-rfi{
    display:none
}

/*
* hook ql icons
*/

.ql-formats.ql-custom .ql-italic svg,
.ql-formats.ql-custom .ql-bold svg,
.ql-formats.ql-custom .ql-underline svg{
   display: none;
}

.ql-formats.ql-custom button{
    background-repeat: no-repeat !important;
    background-size: 20px !important;
    width: 20px !important;
    height: 20px !important;
    display: inline-block;
    position: relative;
    top:3px;
    margin-right: 6px;
    margin-left: 6px;
    opacity: 0.7 !important;
    padding: 12px;
}

.ql-formats.ql-custom button:hover {
    opacity: 1 !important;
}

.ql-formats.ql-custom.ql-fr button.ql-bold{
    background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/character/gras.svg.xhtml") !important;
}

.ql-formats.ql-custom.ql-en button.ql-bold{
    background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/character/bold.svg.xhtml") !important;
}

.ql-formats.ql-custom.ql-fr button.ql-italic, 
.ql-formats.ql-custom.ql-en button.ql-italic{
    background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/character/italic.svg.xhtml") !important;
}

.ql-formats.ql-custom.ql-en button.ql-underline {
    background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/character/souligne.svg.xhtml") !important;
}

.ql-formats.ql-custom.ql-fr button.ql-underline {
    background-image: url("/gaia2-zu-mapi/javax.faces.resource/images/character/underline.svg.xhtml") !important;
}

.panel-border {
    border:solid 4px #acacac;
    padding: 0 1em !important;;
}

.info__panel {
    padding:0;
}

